Loading...
Searching...
No Matches
Dune::TypeTree::StaticTraversal Struct Reference
dune-typetree » Traversal

Mixin base class for visitors that require a static TreePath during traversal. More...

`#include <dune/typetree/visitor.hh>`

Inheritance diagram for Dune::TypeTree::StaticTraversal:

## Static Public Attributes

static const TreePathType::Type | treePathType = TreePathType::fullyStatic
| Use the static tree traversal algorithm.

## Detailed Description

Mixin base class for visitors that require a static TreePath during traversal.

Warning
  Static traversal should only be used if absolutely necessary, as it tends to increase compilation times and object sizes (especially if compiling with debug information)!

See also
  DynamicTraversal

## Member Data Documentation

## treePathType

const TreePathType::Type Dune::TypeTree::StaticTraversal::treePathType = TreePathType::fullyStatic

static

Use the static tree traversal algorithm.

The documentation for this struct was generated from the following file:

- visitor.hh